Bug 707610 - [abrt] notification-daemon-0.7.1-1.fc15: gtk_cairo_should_draw_window: Process /usr/libexec/notification-daemon was killed by signal 6 (SIGABRT)
[abrt] notification-daemon-0.7.1-1.fc15: gtk_cairo_should_draw_window: Proces...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
abrt_hash:61d49a0c9afc4664f257adf0342...
:
: 708274 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 10:06 EDT by Peter Robinson
Modified: 2013-03-05 23:07 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:53:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (27.58 KB, text/plain)
2011-05-25 10:06 EDT, Peter Robinson
no flags Details
File: backtrace (26.46 KB, text/plain)
2011-05-25 10:06 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2011-05-25 10:06:09 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        /usr/libexec/notification-daemon
comment:        Change to the calendar component using a mapi account
component:      notification-daemon
crash_function: gtk_cairo_should_draw_window
executable:     /usr/libexec/notification-daemon
kernel:         2.6.38.6-26.rc1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        notification-daemon-0.7.1-1.fc15
rating:         4
reason:         Process /usr/libexec/notification-daemon was killed by signal 6 (SIGABRT)
time:           Wed May 25 14:56:38 2011
uid:            500
username:       perobinson

backtrace:      Text file, 27093 bytes
maps:           Text file, 28237 bytes

build_ids:
:886e076a93ae3bc92fb15c6e575d3ed17259d687
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:48b9e02d2199527bf0b51390ce501d804d2e447b
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:164e5ff68f0908fc5c431ed129cb647d0979b647
:7de8a33c476c18081927aa8df39d2c055d67ee59
:018b47510edca73b3c78188079f67ce3cfe41331
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:1c6a95451ee19617be5abea3d121f0226d21ddda
:6089b90f4fb9cccb9d92f0242e8873e4ca190ba0
:f6320d3a9d2dccb9d48d2bf7e87b335f336e4123
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:9cd020ec2107c08febe2c8fcabd158212c207854
:ee2e9edde7fe91da3975e2fd2327293641f5b71b
:102528544be24a1b4eae30edcd620ac78b14ed7e
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:21ad5b8ca30ad4dbb2190cfd19b03c69958ad013
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:4223ed0ea4f590beed44360e1196bbca2c727196
:fe7488ea50e0440b4a06ad892e8c668c3fc60921
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:b5295bcf1e896e7a351f2552b4440b5d6f3140b1
:777c245cdc423dfc47d1ae96f7b353cbdfe579ed
:475ee088755895afc66a8ce42a95329f19656eb8
:13ff10a075f084abf260b9dd96618c1037ba3d75
:0911ea7c180d733724f89037b8e8a34e64024aec
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:cb43fcb4d0959721fd4cdabd7080b8a89ce8c90d
:544eb865267266a3a113846a945482a0040a8134
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:2c35820baaea8571d8a8dc977f23cc7f629ddcb4
:b1eea0775d2e530d8001aaee7063f3f6a411c7a2
:4953d1f613914126bccceb3cb96386647ffba9df
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:4c842320387ff7f6f91b7842b223c16518be909f
:a7158bee1dfaecfbd81d16bc6b31b082b0d5244a
:1916190a2901d92261cb9eccc802f5e31506a7ae
:dd583db07c30326389c5057e086c98cd3a377c4d
:e9fb7221d2cf5954b3c29b250f53e6e7f3552b2f
:415dd94df0672c555dd4b2a4ef9dbf530694c82c
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:d1064c73f5135b52c55adad17684ef647cd6beb5
:9dad31d7548c7b31060b83c67c28bb8a8a30347a
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:cad263b431a2d99d486034428f0785d2c481ad0b
:b211ccd123d6bdd703844842a4ab33fce4b72909
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:1406558950ff100eb0320a325b3ea7961ba1a775
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:189c7475c0490584f314acd7377d00adc0fc2b1a
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:a7502128c953612aec7f3a271065a5b61456f562
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:48cedb091f1a9a874c3a25508eee2dd8975c76c5
:b3900bee00b584ef0bfe2adc2f9b9aed93870bc0

dsos:
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1305032015
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-1.fc15.x86_64 (Fedora Project) 1305112590
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305033889
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.2-1.fc15.x86_64 (Fedora Project) 1306313768
:/lib64/libutil-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/usr/libexec/notification-daemon notification-daemon-0.7.1-1.fc15.x86_64 (Fedora Project) 1305033973
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1305032554
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1305033918
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305033805
:/lib64/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.x86_64 (Fedora Project) 1305031890
:/lib64/libgthread-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1305032025
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1305032597
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305032007
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1305033700
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305033802
:/usr/lib/locale/locale-archive glibc-common-2.13.90-13.x86_64 (Fedora Project) 1305795113
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1305032265
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305033808
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1305032055
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1305033807
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1305033700
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1305032504
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1305033908
:/usr/lib64/libgdk-3.so.0.0.10 gtk3-3.0.10-1.fc15.x86_64 (Fedora Project) 1306313252
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1305032008
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305033744
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1305033908
:/lib64/ld-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1305033806
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305033744
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305032019
:/lib64/libgmodule-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1305032025
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305032051
:/lib64/libc-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1305032028
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1305033803
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305033803
:/lib64/libresolv-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/lib64/librt-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/lib64/libnss_files-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1305032018
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1305032009
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1305032002
:/usr/lib64/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1305033918
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305033889
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305032055
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305033805
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1305032047
:/lib64/libgobject-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1305032025
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.14-2.fc15.x86_64 (Fedora Project) 1305037460
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.2-1.fc15.x86_64 (Fedora Project) 1305033806
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1305032001
:/usr/lib64/libgtk-3.so.0.0.10 gtk3-3.0.10-1.fc15.x86_64 (Fedora Project) 1306313252
:/lib64/libm-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1305032016
:/lib64/libglib-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1305032025
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1305033821
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305032015
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305033801
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1305032028
:/lib64/libcrypt-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-1.fc15.x86_64 (Fedora Project) 1305033802
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.0.10-1.fc15.x86_64 (Fedora Project) 1306313252
:/lib64/libgio-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1305032025
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1305033700
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305032051
:/lib64/libpthread-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/lib64/libdl-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1305795196
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1305032052
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-3.fc15.x86_64 (Fedora Project) 1305033805
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305033889
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1305033805

environ:
:XDG_SESSION_ID=8
:HOSTNAME=quik.roving-it.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=565abc239d2968fda815ba4100000028-1306331772.333916-1530410091
:GNOME_KEYRING_CONTROL=/tmp/keyring-lW8NFh
:IMSETTINGS_MODULE=none
:USER=perobinson
:USERNAME=perobinson
:MAIL=/var/spool/mail/perobinson
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/perobinson/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/perobinson
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=17352
:LANG=en_US.UTF-8
:GDM_LANG=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/perobinson
:SHLVL=1
:LOGNAME=perobinson
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KrFhk3WYfy,guid=de3d84d23d6752fb9cb1ed3a00004e48
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/perobinson
:DISPLAY=:0
:GTK_IM_MODULE=gtk-im-context-simple
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-perobinson-Xs1Ltv/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/17360,unix/unix:/tmp/.ICE-unix/17360
:ORBIT_SOCKETDIR=/tmp/orbit-perobinson
:GPG_AGENT_INFO=/tmp/keyring-lW8NFh/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-lW8NFh/ssh
:DESKTOP_AUTOSTART_ID=1062502045bf90f1e3130633177823629500000173600031

event_log:
:2011-05-25-14:58:25> Analyzing coredump 'coredump'
:2011-05-25-14:58:43  Coredump references 66 debuginfo files, 14 of them are not installed
:2011-05-25-14:59:05  Looking for needed packages in repositories
:2011-05-25-14:59:32  Packages to download: 4
:2011-05-25-14:59:32  Downloading 15.04Mb, installed size: 88.35Mb
:2011-05-25-14:59:33  Downloading (1 of 4) gtk3-debuginfo-3.0.10-1.fc15.x86_64.rpm: 100%
:2011-05-25-14:59:33  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-25-14:58:27.17713/gtk3-debuginfo-3.0.10-1.fc15.x86_64.rpm
:2011-05-25-14:59:36  Caching files from unpacked.cpio made from gtk3-debuginfo-3.0.10-1.fc15.x86_64.rpm
:2011-05-25-14:59:38  Downloading (2 of 4) gnome-themes-standard-debuginfo-3.0.2-1.fc15.x86_64.rpm: 100%
:2011-05-25-14:59:38  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-25-14:58:27.17713/gnome-themes-standard-debuginfo-3.0.2-1.fc15.x86_64.rpm
:2011-05-25-14:59:39  Caching files from unpacked.cpio made from gnome-themes-standard-debuginfo-3.0.2-1.fc15.x86_64.rpm
:2011-05-25-14:59:39  Downloading (3 of 4) notification-daemon-debuginfo-0.7.1-1.fc15.x86_64.rpm: 100%
:2011-05-25-14:59:39  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-25-14:58:27.17713/notification-daemon-debuginfo-0.7.1-1.fc15.x86_64.rpm
:2011-05-25-14:59:39  Caching files from unpacked.cpio made from notification-daemon-debuginfo-0.7.1-1.fc15.x86_64.rpm
:2011-05-25-14:59:44  Downloading (4 of 4) glibc-debuginfo-2.13.90-13.x86_64.rpm: 100%
:2011-05-25-14:59:44  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-25-14:58:27.17713/glibc-debuginfo-2.13.90-13.x86_64.rpm
:2011-05-25-14:59:56  Caching files from unpacked.cpio made from glibc-debuginfo-2.13.90-13.x86_64.rpm
:2011-05-25-15:00:12  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-05-25-14:58:27.17713
:2011-05-25-15:01:01  Backtrace is generated and saved, 27093 bytes
Comment 1 Peter Robinson 2011-05-25 10:06:13 EDT
Created attachment 500824 [details]
File: maps
Comment 2 Peter Robinson 2011-05-25 10:06:15 EDT
Created attachment 500825 [details]
File: backtrace
Comment 3 Rui Matos 2011-05-25 20:30:33 EDT
Did this start happening after updating gtk3 to version 3.0.10-1 ?
Comment 4 Peter Robinson 2011-05-26 04:35:12 EDT
(In reply to comment #3)
> Did this start happening after updating gtk3 to version 3.0.10-1 ?

Yes
Comment 5 Gene Snider 2011-05-26 18:53:47 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
This occured after updating to gtk3-3.0.10-1.fc15.x86_64.  I also get this error message in ~/.xsession-errors:
GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
Comment 6 Bojan Smojver 2011-05-27 00:46:36 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Just starting compiz-gnome session.
Comment 7 Gerhard 2011-05-27 14:02:12 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Alarm clock tried to open notification window.
Comment 8 mhaitham 2011-05-28 18:47:24 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Previous Crash took place (Disk Utility -> Short SMART Test -> Crash)
The Crash Notification Icon blinked and then the notification program crashed
Comment 9 Bob Gustafson 2011-05-31 11:26:21 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I haven't got a clue about this. I just now noticed the red button on the top of the screen - and clicked it.
Comment 10 Gianluca Cecchi 2011-06-01 04:28:15 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
as soon as I complete login at boot time, I see this abrt problem in to bar
Comment 11 Andy Lindsay 2011-06-02 04:08:32 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I don't know what caused this.  I just logged in to "Classic Gnome with Compiz" and the crash was reported.
Comment 12 Zaphod Beeblebrox 2011-06-02 11:12:46 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Was just using firefox and libreoffice to view a docx file downloaded from the web
Comment 13 dashesy 2011-06-02 18:26:08 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I recently reinstalled the network manager, after removing it for a test
Comment 14 Slobodan 2011-06-02 20:50:43 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Im try to connect to internet and notf. didnt show :)
Comment 15 alberth289346 2011-06-03 07:19:11 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Downloaded a patch file (for viewing with kompare) with firefox, then downloaded that same patch file and another one for 'save' to $HOME/Download
Comment 16 dashesy 2011-06-03 12:10:50 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
No clue what happened
Comment 17 hrothgar 2011-06-03 21:24:22 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I was downloading the LXDE spin of Fedora 15 with Firefox 4.
Comment 18 mtkolbas 2011-06-04 03:04:17 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
[ Steps to Reproduce ]

1. Login with a Gnome session.
2. Ensure "Forced Fallback Mode" is set for "Graphics" under "System Info" system settings.
3. Run the command: $ notify-send -u normal -t 20 -i info "I am a notification!"

Observe that /usr/libexec/notification-daemon will crash (on any notification?) if it's still running.
Note: This is not an issue when running a full gnome-shell environment (ie. "Forced fallback Mode" is not set)

[ Expected Results ]
Notification should be displayed (as it has been in the past for F14 and below) without crashing the daemon.

[ Other comments ]
Gtk-CRITICAL **: gtk_cairo_should_draw_window: assertion `GDK_IS_WINDOW (window)' failed
Comment 19 Sandro Mani 2011-06-04 11:09:07 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Crashes when displaying any notification
Using compiz-gnome session
Comment 20 Christian Jose 2011-06-05 17:11:00 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I didn't actually realise until the following day this had occured.
Comment 21 Dan Callaghan 2011-06-06 19:42:58 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Seems to happen on every login. Using xmonad-gnome.session (so GNOME 3 fallback mode, with xmonad as the window manager).
Comment 22 Nikita S Pichugin 2011-06-07 10:25:22 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
GNOME 3 in fallback mode
Comment 23 Muhammet Kara 2011-06-07 17:29:43 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
just plugged a new printer to usb
Comment 24 Brandon 2011-06-07 21:28:35 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Started a "Classic Gnome with Compiz" session and a prompt about a harddisk failure appeared (I know why due to a mess up in the Reallocated Sector Count). I clicked it and got a prompt.
Comment 25 avc4ge28 2011-06-09 03:15:26 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
the problem happened while running bleachbit
Comment 26 bugzilla_redhat 2011-06-09 09:47:16 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Just after a reboot.  Unknown cause.
Comment 27 Genaro Aldama Mejía 2011-06-10 12:45:24 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Installing a Mobile broadband connection (HUAWEI modem)
Comment 28 mkronsteiner 2011-06-12 04:55:25 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
email notification from evolution
Comment 29 Jirka Klimes 2011-06-20 03:26:36 EDT
It is fixed in gtk3 with this commit:
http://git.gnome.org/browse/gtk+/commit/gtk/gtkwindow.c?id=97a8ff80cc22bdb5d11958f3264be6a2063fc7d7

That's included in gtk3-3.0.11-1.fc15
Comment 30 Bojan Smojver 2011-06-20 04:04:41 EDT
(In reply to comment #29)
> It is fixed in gtk3 with this commit:
> http://git.gnome.org/browse/gtk+/commit/gtk/gtkwindow.c?id=97a8ff80cc22bdb5d11958f3264be6a2063fc7d7
> 
> That's included in gtk3-3.0.11-1.fc15

Well, bug #713431 happens with the above build of gtk3.
Comment 31 Jean-Philippe Broussard 2011-07-03 10:37:44 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Je ne sais pas
Comment 32 asgosa.eeegct 2011-07-11 13:39:50 EDT
(In reply to comment #29)
> It is fixed in gtk3 with this commit:
> http://git.gnome.org/browse/gtk+/commit/gtk/gtkwindow.c?id=97a8ff80cc22bdb5d11958f3264be6a2063fc7d7
> 
> That's included in gtk3-3.0.11-1.fc15

Thanks! It worked in my case.
Comment 33 alex 2011-08-30 13:39:05 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
trying to run gpk-update ( or gpk-application also)
Comment 34 abrt-bot 2012-03-21 12:08:47 EDT
*** Bug 708274 has been marked as a duplicate of this bug. ***
Comment 35 Fedora End Of Life 2012-08-07 11:53:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.